/* style do html */
html {
	height: 100vh
}

html body {
	display: flex;
	flex-direction: column;
	justify-content: center;
	height: 100vh;
	width: 100vw;
	background-image: url('../img/bg-login.png');
	background-size: cover;
	background-position: center;
	background-repeat: no-repeat;
	backdrop-filter: blur(10px);
	min-height: 700px;
	max-width: 100%;
	max-height: 100%;
}

html body::before {
	content: "";
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: rgba(0, 0, 0, 0.7);
}

div {
	display: flex;
	justify-content: start;
}

/* style dos elementos do body*/

.content {
	display: flex;
	align-items: center;
	justify-content: center;
	height: 100%;
}

.image-background {
	position: absolute;
	width: 100%;
	height: 100vh;
}

/* style do card */
.card {
	height: max-content;
	min-height: 35rem;
	width: 480px;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	border-radius: 24px;
	background: var(--dark-grey-color);
	padding: 48px;
}

.header-text{
	display: flex;
	flex-direction: column;
}

.logo-innorisk {
	margin-bottom: 48px;
}

.title {
	font-size: var(--font-title);
	font-weight: bold;
	color: white;
	margin-bottom: 16px;
}

.subtitle {
	font-size: var(--font-subtitle);
	color: var(--light-grey-color);
}

.form-area {
	font-family: 'Montserrat', sans-serif;
	font-size: var(--font-form);
	display: flex;
	justify-content: space-between;
}

.swal2-container div {
	min-width: 448px !important;
	width: min-content !important;
}

form {
	display: flex;
	flex-direction: column;
	justify-content: center;
	width: 100%;
	color: var(--grey-color);
	font-size: var(--font-form);
	margin-top: 64px;
	gap: 32px;
}
/* style do form */

label {
	color: var(--yellow-color);
	font-weight: bold;
	margin-bottom: 8px;
}

input {
	text-decoration: none;
	position: relative;
	background-color: var(--dark-grey-color);
	color: var(--light-grey-color);
	padding: 18px 10px 18px 16px;
	height: 46px;
	border: 1px solid var(--grey-color);
	border-radius: 8px;
	width: 100%;
}

input::placeholder {
	color: var(--light-grey-color);
}

.password {
	border-right: none;
	border-bottom-right-radius: 0;
	border-top-right-radius: 0;
	width: 88%;
}

.form-input {
	display: flex;
	flex-direction: column;
}

.input-senha {
	display: flex;
	flex-direction: row;
	justify-content: space-between;
	color: var(--light-grey-color);
}

input:focus {
	outline: none;
}

input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
	-webkit-appearance: none;
	appearance: none;
}

.inputs-codigo {
	display: flex;
	width: 100%;
	gap: 10px;
}

.codigo-input {
	background-color: transparent;
	flex: 1;
	text-align: center;
	outline: none;
	padding: 16px;
	font-size: 24px;
	border: 1px solid var(--grey-color);
	border-radius: 8px;
	color: var(--yellow-color);
}

.codigo-input:focus,
.codigo-input:valid {
	border-color: rgba(225, 240, 0, .5);
}

.div-img-icon {
	display: flex;
	justify-content: center;
	align-items: center;
}

.img {
	width: 2rem;
	height: 2rem;
}

.text-primary {
	color: #006D8A !important;
}

.div-hidden-password {
	display: flex;
	align-items: center;
	background-color: var(--dark-grey-color);
	border-top: 1px solid var(--grey-color);
	border-right: 1px solid var(--grey-color);
	border-bottom: 1px solid var(--grey-color);
	border-bottom-right-radius: 8px;
	border-top-right-radius: 8px;
	width: 12%;
}

.hiddenPassword {
	margin-right: 18px;
	width: 1.5rem;
}

.hiddenPassword:hover {
	cursor: pointer;
}

.esqueci-senha {
	margin-top: 8px;
}

.esqueci-senha a{
	color: white;
	font-weight: bold;
	text-decoration: none;
}

.cadastro {
	color: var(--light-grey-color);
	margin-top: 32px;
}

.cadastro a{
	color: var(--yellow-color);
	font-weight: bold;
	text-decoration: none;
}

.divbtnentrar {
	display: flex;
	flex-direction: row;
	justify-content: center;
}

.btnentrar {
	background: var(--yellow-color);
	color: var(--dark-grey-color);
	width: 100%;
	height: 45px;
	border-radius: 50px;
	border: none;
	font-family: 'Montserrat';
	font-style: normal;
	font-weight: bold;
}

/*input.btnentrar:hover {*/
/*	background: #E1F000;*/
/*	color: #526974;*/
/*}*/

.btncancelar {
    display: flex;
    justify-content: center;
    align-items: center;
	color: #526974;
    background-color: transparent;
    border: 2px solid #526974;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    padding: 0.5rem 1rem;
    font-size: 1rem;
    font-style: normal;
	border-radius: 50px;
	width: 95%;
    height: 100%;
    text-decoration: none;
    font-family: 'Montserrat';
    margin-top: 0.7em;
    font-weight: 600;
}

.btncancelar:hover {
   background: #FCFEE6;
   color: #E6B400;
   border: 2px solid #E6B400;
}

.links {
	margin-top: 32px;
	flex-direction: column;
}

.grey-link {
	margin-bottom: 24px;
}

.links .grey-link:last-child {
	margin-bottom: 0;
}

.grey-link a{
	text-decoration: none;
	color: var(--light-grey-color);
}

.grey-link a:hover{
	color: var(--dark-yellow-color);
}

input:-webkit-autofill, input:-webkit-autofill:hover, input:-webkit-autofill:focus,
	input:-webkit-autofill:active {
	-webkit-text-fill-color: var(--light-grey-color)!important;
	-webkit-box-shadow: 0 0 0 30px var(--dark-grey-color) inset !important;
}

input:focus::placeholder {
	color: transparent;
}

::-webkit-scrollbar {
	width: 10px;
}

/* Track */
::-webkit-scrollbar-track {
	background: #f1f1f1;
}

/* Handle */
::-webkit-scrollbar-thumb {
	background: #EBEFF5;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
	background: #555;
}

footer {
	display: flex;
	flex-direction: row;
	justify-content: start;
	align-items: center;
	font-size: var(--font-form);
	margin: 0 1.5rem 1.5rem 2rem;
	z-index: 1;
}

@media only screen and (max-width: 450px) {
	.card {
		width: 100%;
	}

	footer {
		flex-direction: column;
		justify-content: center;
	}

	.alert {
		width: 90% !important;
	}

	.codigo-input {
		padding: 0;
	}
}

.alert {
	position: relative!important;
}
